<?php
/**
* Top Header Options.
*
* @package Solar Energy Engine
*/

$solar_energy_engine_default = solar_energy_engine_get_default_theme_options();

// Header Top Section.
$wp_customize->add_section( 'solar_energy_engine_top_header_setting',
	array(
	'title'      => esc_html__( 'Top Header Settings', 'solar-energy-engine' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'solar_energy_engine_theme_option_panel',
	)
);

$wp_customize->add_setting('solar_energy_engine_header_top_ed',
    array(
        'default' => $solar_energy_engine_default['solar_energy_engine_header_top_ed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_checkbox',
    )
);
$wp_customize->add_control('solar_energy_engine_header_top_ed',
    array(
        'label' => esc_html__('Enable Header Top', 'solar-energy-engine'),
        'section' => 'solar_energy_engine_top_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_top_left_location',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_header_top_left_location'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_top_left_location',
    array(
    'label'    => esc_html__( 'Add Location', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_top_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_top_left_email',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_header_top_left_email'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_email',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_top_left_email',
    array(
    'label'    => esc_html__( 'Add Email', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_top_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_top_left_phone',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_header_top_left_phone'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_top_left_phone',
    array(
    'label'    => esc_html__( 'Add Phone', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_top_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_header_top_right_timing',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_header_top_right_timing'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_header_top_right_timing',
    array(
    'label'    => esc_html__( 'Add Timing', 'solar-energy-engine' ),
    'section'  => 'solar_energy_engine_top_header_setting',
    'type'     => 'text',
    )
);